Bug 22444 - RFE: reboot after install
RFE: reboot after install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-12-18 07:12 EST by Gerald Teschl
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-28 11:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2000-12-18 07:12:34 EST
I feel anaconda should automatically reboot after finishing the
installation and not
wait until the user clicks on exit. While this feature might be useful in
some rare
occasions, I don't think it is for most users.

So please add an option "Reboot when finished" to anaconda.
Comment 1 Pekka Savola 2000-12-18 10:50:00 EST
I like this too, but consider the downside:  if something goes wrong with the 
installation, how do you know that wasn't the reason for reboot rather than
finished installation?

Comment 2 Michael Fulbright 2000-12-18 12:26:29 EST
Thank you for the suggestion, we will consider it in the future.
Comment 3 Gerald Teschl 2001-01-22 11:42:06 EST
True, you cannot tell why the reboot occured. However:

(1) If anaconda crashes it usually does with a trace back (hence no reeboot
(2) If anaconda crashes and reboots immediately it makes no difference anyway.
(3) If it doesn't work after reboot you know something went wrong.
(4) I asked to add it as an option.

I have to install in some remote parts. If have walk three floors downstairs,
across the
street, four stairs up to get there (no elevator). I have to install the
machines and
come back after 30minutes after everything is done just for clicking enter! This
is a pain!
Please add it in 7.1.

And don't tell me to use kickstart, since it kept crashing during the Xsetup on
these machines.
Comment 4 Pekka Savola 2001-01-22 11:46:43 EST
Perhaps anaconda could write something like '/.installation_successful' 
or '/.installation_failed' after %post in upgrade/install and reboot without

Initscripts or the like could check if those exist and notify the user if
Comment 5 Gerald Teschl 2001-01-23 11:38:41 EST
I guess its fine if its written to /tmp/install.log.
If a user chooses to reboot automatically its his dutie to check this file.

BTW its fine if the machine only reboots if the installation finished normally.
Comment 6 Gerald Teschl 2001-04-17 10:25:36 EDT
Whats so bad about adding this as an option?? It doesn't hurt anyone if you just
add a
box "Reboot when finished" and you will make a couple of people happy.
Comment 7 Gerald Teschl 2001-06-28 11:41:30 EDT
Please add this feature in the next release and you'll make my day.
Comment 8 Gerald Teschl 2001-06-28 11:42:45 EDT
BTW: It is fine if the default is not to reboot.
Comment 9 Michael Fulbright 2001-07-02 10:39:17 EDT
Kickstart allows for this option for unattended installs and upgrades.

This is not a feature we plan on implementing for interactive sessions. It would
not be difficult to customize the python sources of the installer to add this
prompt if you find it useful for your particular environemt.  You could then
load the modified sources as an update disk.

Note You need to log in before you can comment on or make changes to this bug.